Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000711Mac OS X Inform application[IDEs] Installation and Platform Issuespublic2011-07-26 21:212015-05-10 17:47
Reporterzarf 
Assigned To 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.7
Product Version6G60 
Target VersionFixed in Version6G60 
Summary0000711: CocoaGlk dies on OSX 10.7 (Lion)
DescriptionAny Glulx game crashes in the IDE. (And in Zoom, for that matter.)

I assume this is the bug report: http://code.google.com/p/cocoaglk/issues/detail?id=1 [^]

But I want to track it here, too.
Additional InformationStack trace (EXC_BAD_ACCESS):

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0 com.apple.CoreFoundation 0x971b899c __CFStringAppendBytes + 12
1 com.apple.CoreFoundation 0x971b8443 __CFStringAppendFormatCore + 12435
2 com.apple.CoreFoundation 0x9720f08c _CFStringCreateWithFormatAndArgumentsAux + 108
3 com.apple.Foundation 0x95445030 -[NSPlaceholderString initWithFormat:locale:arguments:] + 143
4 com.apple.Foundation 0x95444f87 +[NSString stringWithFormat:] + 88
5 com.apple.Foundation 0x9548d3ea -[NSArray(NSArray) encodeWithCoder:] + 841
6 com.apple.Foundation 0x954733be -[NSKeyedPortCoder encodeObject:forKey:] + 1000
7 com.apple.Foundation 0x95473c19 -[NSKeyedPortCoder _encodeObjectNoKey:] + 48
(...and then many many more layers of NSCoder.)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001234)
zarf (developer)
2011-07-26 22:58

Fix checked in at http://code.google.com/p/cocoaglk/source/detail?r=63 [^]
(0001237)
EmacsUser (manager)
2011-08-03 11:29

Marking as resolved based on http://www.intfiction.org/forum/viewtopic.php?f=38&t=2896#p20474 [^] and the notes at http://inform7.com/download/. [^]
(0003751)
jmcgrew (administrator)
2015-05-10 17:47

Closing all resolved issues from 2014 and earlier.

- Issue History
Date Modified Username Field Change
2011-07-26 21:21 zarf New Issue
2011-07-26 22:58 zarf Note Added: 0001234
2011-08-03 11:29 EmacsUser Note Added: 0001237
2011-08-03 11:29 EmacsUser Status new => resolved
2011-08-03 11:29 EmacsUser Resolution open => fixed
2011-08-03 11:29 EmacsUser Fixed in Version => 6G60
2015-05-10 17:47 jmcgrew Note Added: 0003751
2015-05-10 17:47 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker